Sora models use the native OpenAI Videos API, transparently forwarded. Available model names (e.g. sora-2) come from List Models.
Authorizations
Authorizationstring必填
Bearer Token authentication.
Authorization: Bearer YOUR_API_KEYSubmit a task
POST /v1/videosNative OpenAI Videos body (fields per official OpenAI docs):
model(required),prompt(required)seconds(optional, string): e.g."4"/"8"/"12"size(optional): e.g."720x1280"/"1280x720"
Poll status
GET /v1/videos/{video_id}Status values (native OpenAI): queued / in_progress / completed / failed. Poll every 5–10 seconds.
Download the video
GET /v1/videos/{video_id}/contentOnce completed, download the binary MP4 from the content endpoint.
Notes
- Query / download with the same API Key used for submission; task Ids are queryable for 7 days, then 404
task_not_found - For re-creation based on a completed video see Remix
- Full field definitions follow the official OpenAI Videos documentation; no field rewriting
